import { ExtensionPack } from "@atomist/sdm";
/**
 * Configuration options to be passed to the Extension Pack creation.
 */
export interface KubernetesOptions {
    context?: string;
    addCommands?: boolean;
}
/**
 * Register Kubernetes deployment support for provided goals.
 * @param {KubernetesOptions} options
 * @returns {ExtensionPack}
 */
export declare function kubernetesSupport(options?: KubernetesOptions): ExtensionPack;
