"use strict";
/*
 * Copyright © 2018 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var k8_1 = require("./lib/k8");
exports.kubernetesSupport = k8_1.kubernetesSupport;
__export(require("./lib/support/api"));
var goal_1 = require("./lib/support/goal");
exports.createKubernetesData = goal_1.createKubernetesData;
exports.readKubernetesSpec = goal_1.readKubernetesSpec;
var KubernetesDeploy_1 = require("./lib/support/KubernetesDeploy");
exports.KubernetesDeploy = KubernetesDeploy_1.KubernetesDeploy;
exports.defaultDeploymentData = KubernetesDeploy_1.defaultDeploymentData;
const k8 = require("./lib/typings/kubernetes");
exports.k8 = k8;
//# sourceMappingURL=index.js.map